package com.epson.memcardacc;

public class SmbAuthInfo {
    public boolean mIsPasswordValid = true;
    public String mPassword;
    public String mUserName;

    public SmbAuthInfo(String str, String str2) {
        mUserName = str;
        mPassword = str2;
    }

    public void setUserNameAndPassword(String str, String str2) {
        mIsPasswordValid = true;
        mUserName = str;
        mPassword = str2;
    }

    public void clearData() {
        mIsPasswordValid = false;
        mUserName = null;
        mPassword = null;
    }
}
